.darkcorners-animation-bg {position: fixed; inset: 0; z-index: -1; overflow: hidden;}
.darkcorners-animation-image {position: absolute; inset: -50px; will-change: transform;}
.darkcorners-animation-image img {width: 100%; height: 100%; object-fit: cover;}
.darkcorners-animation-overlay {position: absolute; inset: 0; background: rgba(19, 23, 34, 0.5); z-index: 2;}
.person-filter{margin-bottom:25px;}
.filter-toggle{background:#ff4fa3; border:none; padding:8px 14px; border-radius:6px; color:#fff; cursor:pointer;}
.filter-panel{display:block; background:#1a0f1f; padding:25px; border-radius:12px; margin-top:-20px; border: 1px solid #f472b6;}
.filter-group{display:flex; align-items:flex-start; justify-content:space-between; gap:10px; padding:5px 10px; border-bottom:1px dashed #f472b650;}
.filter-title{width:150px; padding:5px 0px; text-align:right; flex-shrink:0; font-weight:500;}
.filter-items{flex-grow:1; display:flex; flex-wrap:wrap; justify-content:flex-start; gap:10px;}
.filter-items label{background:#2a1430; padding:6px 10px; border-radius:6px; cursor:pointer;}
.filter-actions{margin-top:10px; text-align:center;}
.filter-submit{cursor:pointer; background-color:#ff2e63; font-size:14px; font-weight:600; border-radius:10px; padding:10px;}
.filter-close{cursor:pointer; font-size:14px; font-weight:600; border-radius:10px; padding:10px;}
.page-control{display:flex; align-items:center; justify-content:center; gap:20px; margin:40px 0;}
.page-btn{width:48px; height:48px; border-radius:50%; border:none; background:#3a2140; color:#fff; cursor:pointer;}
.page-btn:hover{background:#ff4fa3;}
.page-current{display:flex; align-items:center; gap:10px; background:#384056; padding:10px 18px; border-radius:25px; color:#fff;}
.page-input-wrap{position:relative;}
.page-input{width:50px; text-align:center; background:transparent; border:1px solid rgba(255,255,255,.3); border-radius:6px; color:#fff; padding:4px;}
.page-input-wrap:hover{display:flex;}
